Package org.codehaus.groovy.ast.expr

# Class TupleExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.codehaus.groovy.ast.expr.TupleExpression

All Implemented Interfaces:
  `GroovydocHolder<AnnotatedNode>`, `Iterable<Expression>`, `NodeMetaDataHandler`

Direct Known Subclasses:
  `ArgumentListExpression`

public class TupleExpression extends Expression implements Iterable<Expression>

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.ast.expr.Expression

  `EMPTY_ARRAY`

  ### Fields inherited from interface groovy.lang.groovydoc.GroovydocHolder

  `DOC_COMMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TupleExpression()`
  `TupleExpression(int capacity)`
  `TupleExpression(List<Expression> expressions)`
  `TupleExpression(Expression expr)`
  `TupleExpression(Expression[] expressionArray)`
  `TupleExpression(Expression expr1, Expression expr2)`
  `TupleExpression(Expression expr1, Expression expr2, Expression expr3)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TupleExpression`
  `addExpression(Expression expression)`
  `Expression`
  `getExpression(int i)`
  `List<Expression>`
  `getExpressions()`
  `String`
  `getText()`
  `Iterator<Expression>`
  `iterator()`
  `String`
  `toString()`
  `Expression`
  `transformExpression(ExpressionTransformer transformer)`
  Return a copy of the expression calling the transformer on any nested expressions
  `void`
  `visit(GroovyCodeVisitor visitor)`

  ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

  `getType, setType, transformExpressions, transformExpressions`

  ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

  `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Constructor Details

  - ### TupleExpression

    public TupleExpression()

  - ### TupleExpression

    public TupleExpression(Expression expr)

  - ### TupleExpression

    public TupleExpression(Expression expr1, Expression expr2)

  - ### TupleExpression

    public TupleExpression(Expression expr1, Expression expr2, Expression expr3)

  - ### TupleExpression

    public TupleExpression(int capacity)

  - ### TupleExpression

    public TupleExpression(List<Expression> expressions)

  - ### TupleExpression

    public TupleExpression(Expression[] expressionArray)

- ## Method Details

  - ### addExpression

    public TupleExpression addExpression(Expression expression)

  - ### getExpression

    public Expression getExpression(int i)

  - ### getExpressions

    public List<Expression> getExpressions()

  - ### iterator

    public Iterator<Expression> iterator()
    Specified by:
      `iterator` in interface `Iterable<Expression>`

  - ### visit

    public void visit(GroovyCodeVisitor visitor)
    Overrides:
      `visit` in class `ASTNode`

  - ### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)
    Description copied from class: `Expression`
    Return a copy of the expression calling the transformer on any nested expressions
    Specified by:
      `transformExpression` in class `Expression`

  - ### getText

    public String getText()
    Overrides:
      `getText` in class `ASTNode`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`